# Calls Everything about your Calls ## Register a Fin Voice call - [POST /fin_voice/register](https://developers.intercom.com/docs/references/unstable/rest-api/api.intercom.io/calls/registerfinvoicecall.md): Register a Fin Voice call with Intercom. This endpoint creates an external reference that links an external call identifier to an Intercom call and conversation. The call can be from different sources: - AWS Connect (default) - Five9 - Zoom Phone ## Collect Fin Voice call by ID - [GET /fin_voice/collect/{id}](https://developers.intercom.com/docs/references/unstable/rest-api/api.intercom.io/calls/collectfinvoicecallbyid.md): Retrieve information about a Fin Voice call using the external reference ID. ## Collect Fin Voice call by external ID - [GET /fin_voice/external_id/{external_id}](https://developers.intercom.com/docs/references/unstable/rest-api/api.intercom.io/calls/collectfinvoicecallbyexternalid.md): Retrieve information about a Fin Voice call using the external call identifier. ## Collect Fin Voice call by phone number - [GET /fin_voice/phone_number/{phone_number}](https://developers.intercom.com/docs/references/unstable/rest-api/api.intercom.io/calls/collectfinvoicecallbyphonenumber.md): Retrieve information about a Fin Voice call using the phone number. Returns the most recent matched call for the given phone number, ordered by creation date. ## List all calls - [GET /calls](https://developers.intercom.com/docs/references/unstable/rest-api/api.intercom.io/calls/listcalls.md): Retrieve a paginated list of calls. ## Get a call - [GET /calls/{id}](https://developers.intercom.com/docs/references/unstable/rest-api/api.intercom.io/calls/showcall.md): Retrieve a single call by id. ## Get call recording by call id - [GET /calls/{id}/recording](https://developers.intercom.com/docs/references/unstable/rest-api/api.intercom.io/calls/showcallrecording.md): Redirects to a signed URL for the call's recording if it exists. ## Get call transcript by call id - [GET /calls/{id}/transcript](https://developers.intercom.com/docs/references/unstable/rest-api/api.intercom.io/calls/showcalltranscript.md): Returns the transcript for the specified call as a downloadable text file. ## List calls with transcripts - [POST /calls/search](https://developers.intercom.com/docs/references/unstable/rest-api/api.intercom.io/calls/listcallswithtranscripts.md): Retrieve calls by a list of conversation ids and include transcripts when available. A maximum of 20 conversation_ids can be provided. If none are provided or more than 20 are provided, a 400 error is returned.